/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * @format
 */

/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

module.exports = {
  docs: [
    {
      type: 'category',
      label: 'Get Started',
      collapsed: false,
      items: [
        'tutorials/get-started',
        'tutorials/get-started-manually',
        'tutorials/add-package',
      ],
    },
    {
      type: 'category',
      label: 'On-device Models',
      collapsed: false,
      items: [
        'tutorials/image-classification',
        'tutorials/question-answering',
        'tutorials/mnist-digit-classification',
        'tutorials/prepare-custom-model',
      ],
    },
    {
      type: 'category',
      label: 'Server Models (unstable)',
      collapsed: false,
      items: ['tutorials/server-model', 'tutorials/connecting-to-a-server'],
    },
    'tutorials/faq',
  ],
  api: [
    {
      type: 'autogenerated',
      dirName: 'api/core',
    },
    'api/cli',
    'api/model-spec',
  ],
};
